Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CIntranet.security
Interface ISecurityManager

All Known Implementing Classes:
  SecurityManager

public interface ISecurityManager

ISecurityManager
Interface décrivant les méthodes que doit obligatoirement implémenter
le gestionnaire de sécurité
(c)Copyright ESup-Portail 2004

Version:
  2.0
Author:
  Mathieu Larchet

Field Summary
`static int` | `PUBLICATOR`
`static int` | `USER`
`static int` | `VALIDATOR`

Method Summary
`int` | `getRoleOfUser(java.lang.String folder, java.lang.String login)` Retourne une constante indiquant le statut d'un utilisateur pour un dossier donné
`boolean` | `isIntranetAccessible(java.lang.String intranet, java.lang.String login)` Si l'utilisateur fait partie de la population d'un intranet
`boolean` | `isSuperUser(java.lang.String login)` Si l'utilisateur est un super-utilisateur

Field Detail

### VALIDATOR

    public static final int VALIDATOR

See Also:
  Constant Field Values

### PUBLICATOR

    public static final int PUBLICATOR

See Also:
  Constant Field Values

### USER

    public static final int USER

See Also:
  Constant Field Values

Method Detail

### isSuperUser

    public boolean isSuperUser(java.lang.String login)
                        throws SecurityException

  Si l'utilisateur est un super-utilisateur

  Parameters:
    `login` - Le login de l'utilisateur
  Returns:
    true si c'est un super-utilisateur, false sinon
  Throws:
    `SecurityException`

### isIntranetAccessible

    public boolean isIntranetAccessible(java.lang.String intranet,
                                        java.lang.String login)
                                 throws SecurityException

  Si l'utilisateur fait partie de la population d'un intranet

  Parameters:
    `intranet` - L'identifiant de l'intranet
    `login` - L'identifiant de l'utilisateur
  Returns:
    true si l'utilisateur fait partie de la population, false sinon
  Throws:
    `SecurityException`

### getRoleOfUser

    public int getRoleOfUser(java.lang.String folder,
                             java.lang.String login)
                      throws SecurityException

  Retourne une constante indiquant le statut d'un utilisateur pour un dossier donné

  Parameters:
    `folder` - L'identifiant du dossier
    `login` - L'identifiant de l'utilisateur
  Returns:
    USER si c'est un utilisateur standard
    PUBLICATOR si c'est un publicateur VALIDATOR si c'est un valideur
  Throws:
    `SecurityException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD